
D4Science Infrastructure - Task #11257

DataMiners not responding

Feb 21, 2018 12:25 PM - Gianpaolo Coro

Status: Closed Start date: Feb 21, 2018

Priority: High Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Data Processing   

Infrastructure: Production   

Description

There are 9 non-responding production DataMiners (I report the list with the corresponding getCapabilities):

ip-90-147-167-175.ct1.garrservices.it -> http://ip-90-147-167-175.ct1.garrservices.it/wps/WebProce

ssingService?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-

843339462

ip-90-147-167-177.ct1.garrservices.it -> http://ip-90-147-167-177.ct1.garrservices.it/wps/WebProce

ssingService?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-

843339462

ip-90-147-167-179.ct1.garrservices.it -> http://ip-90-147-167-179.ct1.garrservices.it/wps/WebProce

ssingService?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-

843339462

ip-90-147-167-182.ct1.garrservices.it -> http://ip-90-147-167-182.ct1.garrservices.it/wps/WebProce

ssingService?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-

843339462

ip-90-147-167-183.ct1.garrservices.it -> http://ip-90-147-167-183.ct1.garrservices.it/wps/WebProce

ssingService?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-

843339462

ip-90-147-166-23.ct1.garrservices.it -> http://ip-90-147-166-23.ct1.garrservices.it/wps/WebProcess

ingService?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-84

3339462

ip-90-147-167-234.ct1.garrservices.it -> http://ip-90-147-167-234.ct1.garrservices.it/wps/WebProce

ssingService?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-

843339462

ip-90-147-167-237.ct1.garrservices.it -> http://ip-90-147-167-237.ct1.garrservices.it/wps/WebProce

ssingService?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-

843339462

dm-192-168-100-13.garr.d4science.org -> http://dm-192-168-100-13.garr.d4science.org/wps/WebProcess

ingService?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-84

3339462

 Could you please help me to understand what's happening, please?

History

#1 - Feb 21, 2018 01:03 PM - Roberto Cirillo

I've checked the following host: dm-192-168-100-13.garr.d4science.org

the container is not restarted correctly during the last restart performed by me this morning.

The ghn.log show the following:

2018-02-21 10:05:56,627 [localhost-startStop-1] WARN  ContainerManager: the token 9f6d573d-c881-4dfc-ab12-4bec

4e07fa7a-843339462 cannot be used, the client id dataminer-2:80 resolved with the token is not the same of the

 one specified in this container  

2018-02-21 10:05:56,660 [localhost-startStop-1] WARN  ContainerManager: the token 7de2d922-89c6-4145-8b90-5201

1e048379-843339462 cannot be used, the client id dataminer-2:80 resolved with the token is not the same of the

 one specified in this container  

2018-02-21 10:05:56,688 [localhost-startStop-1] WARN  ContainerManager: the token b5754690-675f-4d1e-93de-dbd2

f802140a-843339462 cannot be used, the client id dataminer-2:80 resolved with the token is not the same of the

 one specified in this container  

2018-02-21 10:05:56,715 [localhost-startStop-1] WARN  ContainerManager: the token 58fbc1d8-95c5-4308-a955-5a85

893b28d9-843339462 cannot be used, the client id dataminer-2:80 resolved with the token is not the same of the
 one specified in this container  

2018-02-21 10:05:56,742 [localhost-startStop-1] WARN  ContainerManager: the token 255b8c63-6c26-4584-99d0-5476

586780db-843339462 cannot be used, the client id dataminer-2:80 resolved with the token is not the same of the

 one specified in this container  

2018-02-21 10:05:56,769 [localhost-startStop-1] WARN  ContainerManager: the token 7edf64cd-52b1-41f3-ae56-d91c

b13ed51d-843339462 cannot be used, the client id dataminer-2:80 resolved with the token is not the same of the

 one specified in this container  

2018-02-21 10:05:56,800 [localhost-startStop-1] WARN  ContainerManager: the token 8767fcb5-464d-4205-8d6e-752e

67f83d1d-843339462 cannot be used, the client id dataminer-2:80 resolved with the token is not the same of the

 one specified in this container  

2018-02-21 10:05:56,827 [localhost-startStop-1] WARN  ContainerManager: the token 8064225f-ef5a-4e41-9017-cf92

722e3b2b-843339462 cannot be used, the client id dataminer-2:80 resolved with the token is not the same of the

 one specified in this container  

2018-02-21 10:05:56,854 [localhost-startStop-1] WARN  ContainerManager: the token d29fdd99-0e88-4f13-ae33-f522

58e9f578-843339462 cannot be used, the client id dataminer-2:80 resolved with the token is not the same of the

 one specified in this container  

2018-02-21 10:05:56,854 [localhost-startStop-1] ERROR ContainerManager: no valid starting token are specified,

 moving the container to failed

2018-02-21 10:05:56,856 [localhost-startStop-1] ERROR ContainerManager: cannot manage container (see cause)

java.lang.RuntimeException: no valid starting token are specified

        at org.gcube.smartgears.managers.ContainerManager.validateContainer(ContainerManager.java:129)

        at org.gcube.smartgears.managers.ContainerManager.start(ContainerManager.java:71)

        at org.gcube.smartgears.Bootstrap.startContainerIfItHasntAlreadyFailed(Bootstrap.java:124)

        at org.gcube.smartgears.Bootstrap.<init>(Bootstrap.java:45)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)

        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45

)

        at java.lang.reflect.Constructor.newInstance(Constructor.java:423)

        at java.lang.Class.newInstance(Class.java:442)

        at org.apache.catalina.startup.WebappServiceLoader.loadServices(WebappServiceLoader.java:188)

        at org.apache.catalina.startup.WebappServiceLoader.load(WebappServiceLoader.java:152)

        at org.apache.catalina.startup.ContextConfig.processServletContainerInitializers(ContextConfig.java:15

43)

        at org.apache.catalina.startup.ContextConfig.webConfig(ContextConfig.java:1265)

        at org.apache.catalina.startup.ContextConfig.configureStart(ContextConfig.java:873)

        at org.apache.catalina.startup.ContextConfig.lifecycleEvent(ContextConfig.java:371)

        at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:117)

        at org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(LifecycleBase.java:90)

        at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5392)

        at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

        at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

        at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

        at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632)

        at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073)

        at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857)

        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)

        at java.util.concurrent.FutureTask.run(FutureTask.java:266)

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

        at java.lang.Thread.run(Thread.java:748)

2018-02-21 10:06:46,485 [localhost-startStop-1] ERROR ApplicationManager: error starting application data-tran

sfer-service 

java.lang.RuntimeException: cannot create profile for data-transfer-service

        at org.gcube.smartgears.handlers.application.lifecycle.ProfileManager.create(ProfileManager.java:238)

        at org.gcube.smartgears.handlers.application.lifecycle.ProfileManager.loadOrCreateProfile(ProfileManag

er.java:219)

        at org.gcube.smartgears.handlers.application.lifecycle.ProfileManager.activated(ProfileManager.java:89

)

        at org.gcube.smartgears.handlers.application.lifecycle.ProfileManager.onStart(ProfileManager.java:72)

        at org.gcube.smartgears.handlers.application.ApplicationLifecycleHandler.onEvent(ApplicationLifecycleH

andler.java:42)

        at org.gcube.smartgears.handlers.application.ApplicationLifecycleHandler.onEvent(ApplicationLifecycleH

andler.java:18)

        at org.gcube.smartgears.handlers.Pipeline.forward(Pipeline.java:65)

        at org.gcube.smartgears.managers.ApplicationManager.start(ApplicationManager.java:273)

        at org.gcube.smartgears.managers.ApplicationManager.start(ApplicationManager.java:120)

        at org.gcube.smartgears.Bootstrap.onStartup(Bootstrap.java:61)

        at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5493)

        at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

        at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

        at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

        at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632)

        at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073)

        at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)

        at java.util.concurrent.FutureTask.run(FutureTask.java:266)

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

        at java.lang.Thread.run(Thread.java:748)

Caused by: java.lang.IllegalStateException: unknown property ghn-profile

        at org.gcube.smartgears.context.Properties.lookup(Properties.java:102)

 Seems that the token contained on the container.xml were generated for the host: dataminer2 and this host is different from the host found on

container.xml file: 

<hostname>dm-192-168-100-13.garr.d4science.org</hostname>

 This morning I've only restarted the container nothing changed on container.xml:

gcube@dataminer-2:~$ ls -als  SmartGears/container.xml

4 -r--r----- 1 gcube gcube 1656 Feb 12 14:23 Smart

#2 - Feb 21, 2018 01:08 PM - Andrea Dell'Amico

I've seen this behaviour in the past, on other VMs. I had to request the scopes again.

What's also worrying is that tomcat responds in a way that is accepted by the balancer as 'working fine'.

#3 - Feb 21, 2018 02:43 PM - Gianpaolo Coro

This reminds me an old issue of the GHN when the local state of the service went corrupted randomly..could it be related @lucio.lelii@isti.cnr.it ?

#4 - Feb 21, 2018 02:46 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

I've seen this behaviour in the past, on other VMs. I had to request the scopes again.

 I could try to re run the playbook in order to restore the right tokens but I see in /etc/hostname the following hostname: dataminer-2

Maybe we need to change the /etc/hostname file before re-run the playbook. @andrea.dellamico@isti.cnr.it what do you suggest?

#5 - Feb 21, 2018 02:51 PM - Lucio Lelii

@gianpaolo.coro@isti.cnr.it  no, the problem is related to the token generation, the hostname in the Container token is dataminer-2 without domain.

#6 - Feb 21, 2018 02:56 PM - Roberto Cirillo

For the moment, I'm going to stop the container where this problem happens.  In this way the new computation requests will be not turned to these

VMs

#7 - Feb 21, 2018 03:05 PM - Roberto Cirillo

All the affected VMs have been stopped

#8 - Feb 21, 2018 04:33 PM - Gianpaolo Coro

Now the non-working DMs have become 10 (one more), all Garr machines:

ip-90-147-167-175.ct1.garrservices.it -> http://ip-90-147-167-175.ct1.garrservices.it/wps/WebProcessingService

?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-843339462

ip-90-147-167-177.ct1.garrservices.it -> http://ip-90-147-167-177.ct1.garrservices.it/wps/WebProcessingService

?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-843339462

ip-90-147-167-179.ct1.garrservices.it -> http://ip-90-147-167-179.ct1.garrservices.it/wps/WebProcessingService

?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-843339462

ip-90-147-167-182.ct1.garrservices.it -> http://ip-90-147-167-182.ct1.garrservices.it/wps/WebProcessingService

?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-843339462

ip-90-147-167-183.ct1.garrservices.it -> http://ip-90-147-167-183.ct1.garrservices.it/wps/WebProcessingService

?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-843339462

ip-90-147-166-24.ct1.garrservices.it -> http://ip-90-147-166-24.ct1.garrservices.it/wps/WebProcessingService?R

equest=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-843339462

ip-90-147-166-23.ct1.garrservices.it -> http://ip-90-147-166-23.ct1.garrservices.it/wps/WebProcessingService?R

equest=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-843339462

ip-90-147-167-234.ct1.garrservices.it -> http://ip-90-147-167-234.ct1.garrservices.it/wps/WebProcessingService

?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-843339462

ip-90-147-167-237.ct1.garrservices.it -> http://ip-90-147-167-237.ct1.garrservices.it/wps/WebProcessingService

?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-843339462

dm-192-168-100-13.garr.d4science.org -> http://dm-192-168-100-13.garr.d4science.org/wps/WebProcessingService?R

equest=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-9541-272ddd3aeafb-843339462
#9 - Feb 21, 2018 04:49 PM - Roberto Cirillo

In the last list there is just one more VM than the previous list: ip-90-147-166-24.ct1.garrservices.it

On this VM the hostname is correct and the GetCapabilities request works well now: 

http://ip-90-147-166-24.ct1.garrservices.it/wps/WebProcessingService?Request=GetCapabilities&Service=WPS&gcube-token=48f869e2-b924-4b72-

9541-272ddd3aeafb-843339462

So this VM is working fine for me.

Btw, from ansible inventory, we have 25 garr vms so at this moment 16 vms are running properly. 

#10 - Feb 21, 2018 06:28 PM - Pasquale Pagano

- Priority changed from Normal to High

#11 - Feb 21, 2018 09:08 PM - Gianpaolo Coro

Just to alert that the shutdown GHNs behind the "dataminer_cloud1" production cluster are still receiving requests and indeed they seem to be up on

the HA proxy interface. The machines are:

ip-90-147-166-23.ct1.garrservices.it, ip-90-147-167-237.ct1.garrservices.it, dm-192-168-100-13.garr.d4science.org,

ip-90-147-167-234.ct1.garrservices.it

#12 - Feb 22, 2018 10:17 AM - Roberto Cirillo

Gianpaolo Coro wrote:

Just to alert that the shutdown GHNs behind the "dataminer_cloud1" production cluster are still receiving requests and indeed they seem to be

up on the HA proxy interface. The machines are:

ip-90-147-166-23.ct1.garrservices.it, ip-90-147-167-237.ct1.garrservices.it, dm-192-168-100-13.garr.d4science.org,

ip-90-147-167-234.ct1.garrservices.it

 "dataminer_cloud1" cluster doesn't exist. Now we have only dataminer.garr cluster.

The containers above are stopped. Where have you seen these requests? Could you proof them?

#13 - Feb 22, 2018 10:42 AM - Andrea Dell'Amico

- Status changed from New to In Progress

I understood what happened

When a GARR VM restarts the hostname is changed by the dhcp server. And when we executed the upgrade jobs, the scopes where requested with

the wrong hostname because we did not run the tasks that change the hostname to the one we want.

I just fixed the script that requests the scopes so that it always requests the tokens for the correct hostname. I'm also going to run the tasks that fix the

hostname (the playbook tag is set_hostname, FYI).

#14 - Feb 22, 2018 10:59 AM - Gianpaolo Coro

Great! As for the cluster with the "ghost" DMs, I meant the "dataminer_cloud1" group specified here http://dataminer-lb.garr.d4science.org:8880/

#15 - Feb 22, 2018 11:06 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I just requested new scopes for all the GARR dataminer, tomcat has been restarted on all hosts (on some of them is still starting):

192.168.100.13             : ok=18   changed=6    unreachable=0    failed=0

192.168.100.14             : ok=18   changed=5    unreachable=0    failed=0

192.168.100.19             : ok=18   changed=5    unreachable=0    failed=0

192.168.100.3              : ok=18   changed=5    unreachable=0    failed=0

192.168.100.6              : ok=18   changed=5    unreachable=0    failed=0

192.168.100.7              : ok=18   changed=5    unreachable=0    failed=0

192.168.100.8              : ok=18   changed=5    unreachable=0    failed=0

192.168.100.9              : ok=18   changed=5    unreachable=0    failed=0

ip-90-147-166-23.ct1.garrservices.it : ok=18   changed=5    unreachable=0    failed=0

ip-90-147-166-24.ct1.garrservices.it : ok=18   changed=5    unreachable=0    failed=0

ip-90-147-167-173.ct1.garrservices.it : ok=18   changed=6    unreachable=0    failed=0

ip-90-147-167-175.ct1.garrservices.it : ok=18   changed=6    unreachable=0    failed=0

ip-90-147-167-176.ct1.garrservices.it : ok=18   changed=5    unreachable=0    failed=0
ip-90-147-167-177.ct1.garrservices.it : ok=18   changed=6    unreachable=0    failed=0

ip-90-147-167-178.ct1.garrservices.it : ok=18   changed=5    unreachable=0    failed=0

ip-90-147-167-179.ct1.garrservices.it : ok=18   changed=6    unreachable=0    failed=0

ip-90-147-167-180.ct1.garrservices.it : ok=18   changed=5    unreachable=0    failed=0

ip-90-147-167-181.ct1.garrservices.it : ok=18   changed=5    unreachable=0    failed=0

ip-90-147-167-182.ct1.garrservices.it : ok=18   changed=6    unreachable=0    failed=0

ip-90-147-167-183.ct1.garrservices.it : ok=18   changed=6    unreachable=0    failed=0

ip-90-147-167-222.ct1.garrservices.it : ok=18   changed=5    unreachable=0    failed=0

ip-90-147-167-230.ct1.garrservices.it : ok=18   changed=5    unreachable=0    failed=0

ip-90-147-167-234.ct1.garrservices.it : ok=18   changed=5    unreachable=0    failed=0

ip-90-147-167-236.ct1.garrservices.it : ok=18   changed=5    unreachable=0    failed=0

ip-90-147-167-237.ct1.garrservices.it : ok=18   changed=6    unreachable=0    failed=0

 Gianpaolo Coro wrote:

Great! As for the cluster with the "ghost" DMs, I meant the "dataminer_cloud1" group specified here http://dataminer-lb.garr.d4science.org:8880/

 @roberto.cirillo@isti.cnr.it, do you remember that I reinstated that cluster at the time the GARR instances were stopped for maintainance a couple of

weeks ago, sto that if another emergency happens you can switch the service endpoint and we can still have the service working with the CNR

dataminers only?

#16 - Feb 22, 2018 09:16 PM - Gianpaolo Coro

- Status changed from Feedback to Closed

The DMs are working.
